Skip to main content

Massed Compute Inventory API (1.0.0)

Download OpenAPI specification:Download

API documentation for our Inventory API. Power your marketplace or application with our comptue resourcces.

If you are a marketplace looking to leverage our GPU inventory please contact us at techadmin@massedcompute.com

Authentication

Authentication of every endpoint provided requres a API token. We leverage Bearer token authentication on our endpoints.

Header Value
Authorization Bearer {{api_token}}

If you would like to use the API, please contact us at techadmin@massedcompute.com to request a token.

Instances

Retrieve list of all compute products.

An instance type is a configuration of CPU, memory, and storage.

Responses

Response samples

Content type
application/json
{
  • "data": {
    }
}

Retrieve list of all running instances.

An instance is a virtual machine that is currently running.

Responses

Response samples

Content type
application/json
{
  • "data": [
    ]
}

Retrieve single running instances.

An instance is a virtual machine.

Responses

Response samples

Content type
application/json
{
  • "data": {
    }
}

Deploy new instances.

Request Body schema: application/json
required
instance_type_name
required
string

The name of the instance you want to deploy

region_name
required
string

Set value equal to 'any'

ssh_key_names
required
Array of strings

The SSH key you want to use to connect to the instance. Can be a blank array.

file_system_names
Array of strings

The file system you want to use to connect to the instance. Can be a blank array.

quantity
required
integer

The number of instances you want to deploy.

name
string

The name of the instance you want to deploy.

os_image_name
string

The name of the OS image you want to deploy.

Responses

Request samples

Content type
application/json
{
  • "instance_type_name": "string",
  • "region_name": "string",
  • "ssh_key_names": [
    ],
  • "file_system_names": [
    ],
  • "quantity": 0,
  • "name": "string",
  • "os_image_name": "string"
}

Response samples

Content type
application/json
{
  • "data": {
    }
}

Terminate an instances.

Termination completely removes the instance from the system and destroys all data. You will no longer be billed

Request Body schema: application/json
required
instance_ids
required
Array of strings

The ID or IDs of instances to restart

Responses

Request samples

Content type
application/json
{
  • "instance_ids": [
    ]
}

Response samples

Content type
application/json
{
  • "data": {
    }
}

Restart an instance.

Restarting an instance can only be done to Stopped instances. This takes the instance from a stopped to active state.

Request Body schema: application/json
required
instance_uuids
required
Array of strings

The ID or IDs of instances to restart

Responses

Request samples

Content type
application/json
{
  • "instance_uuids": [
    ]
}

Response samples

Content type
application/json
{
  • "data": {
    }
}

Stop an instance.

Stopping an instance will halt it without destroying any data. You will still be billed.

Request Body schema: application/json
required
instance_uuids
required
Array of strings

The ID or IDs of instances to restart

Responses

Request samples

Content type
application/json
{
  • "instance_uuids": [
    ]
}

Response samples

Content type
application/json
{
  • "data": {
    }
}

SSH Keys

Retrieve list of all SSH keys.

An SSH key is a secure way to connect to an instance.

Responses

Response samples

Content type
application/json
{
  • "data": [
    ]
}

Create a new SSH key.

An SSH key is a secure way to connect to an instance.

Request Body schema: application/json
required
name
required
string

The name of the SSH key

public_key
required
string

The public key of the SSH key

Responses

Request samples

Content type
application/json
{
  • "name": "string",
  • "public_key": "string"
}

Response samples

Content type
application/json
{
  • "data": {
    }
}

Delete an SSH key.

An SSH key is a secure way to connect to an instance.

Responses

Response samples

Content type
application/json
{
  • "data": { }
}